## Name

yapet2csv — convert YAPET file to CSV file

## Synopsis

`yapet2csv` [[`-c`] | [`-h`] | [`-V`]] [`-H`] [`-p` {`password`}] [`-q`] [`-s` {`separator`}] {`src`} {`dst`}

## DESCRIPTION

Convert a YAPET file to a CSV file. The source file specified by `src` will not be modified.

The resulting CSV file `dst` has the format as shown in Table 1, “CSV file format”.

Table 1. CSV file format

Column # | YAPET record field
--- | ---
1 | Record Name
2 | Host Name
3 | User Name
4 | Password
5 | Comment

## OPTIONS

`-h`

  Show help.

`-c`

  Show copyright.

`-V`

  Show version.

`-H`

  Add header line to CSV file.

`-p`

  Use the master password `password` provided to decrypt `src`. The use of this option is not recommended for security reasons.

  By default, yapet2csv prompts for the master password.

`-q`

  Do not produce verbose output, except for error messages. By default, yapet2csv will print a period for each converted password record to stdout.

## OPERANDS

``src``

  Source YAPET pathname which will be converted to CSV and stored in `dst`. If the file path does not end in `.pet`, yapet2csv will append `.pet` to the operand.

``dst``

  Pathname where the converted YAPET file will be stored. The file must not exist prior to invoking yapet2csv. Refer to Table 1, “CSV file format” for the format of the resulting CSV file `dst`.

## EXAMPLES

Example 1. Prompt for Master Password

Convert the YAPET file `/tmp/foo.pet` to a CSV file `/tmp/bar.csv`. Master password used to decrypt `foo.pet` will be prompted for:

    	$ yapet2csv /tmp/foo.pet /tmp/bar.csv

Example 2. Provide Master Password on command line

Convert the YAPET file `/tmp/foo2.pet` to a CSV file `/tmp/bar2.csv`. Master password `secret` used to decrypt `foo2.pet` is provided on command line:

    	$ yapet2csv -p secret /tmp/foo2.pet /tmp/bar2.csv

## EXIT STATUS

0

  Successful completion.

1

  Error while parsing command line arguments.

2

  File `dst` already exists.

3

  An error occurred.

## BUGS

Please report bugs to http://bugs.guengel.ch/.

## AUTHOR

Rafael Ostertag `<rafi@guengel.ch>`

## SEE ALSO

yapet(1), csv2yapet(1)